Amalgalite 0.8.0 Released


#1

amalgalite version 0.8.0 has been released.

gem install amalgalite

http://copiousfreetime.rubyforge.org/amalgalite/

Amalgalite embeds the SQLite database engine in a ruby extension. There
is no
need to install SQLite separately.

Look in the examples/ directory to see

  • general usage
  • blob io
  • schema information
  • custom functions
  • custom aggregates
  • requiring ruby code from a database

Also Scroll through Amalgalite::Database for a quick example, and a
general
overview of the API.

{{ Release notes for Version 0.8.0 }}

== Enhancements

  • Add in support for obtaining limited schema information on temporary
    tables
    and temporary indexes
  • Add support for returning the primary key columns of a table
  • Other miscellaneous items to support the ActiveRecord adapter

#2

From: Jeremy H. [mailto:removed_email_address@domain.invalid]

amalgalite version 0.8.0 has been released.

will this run on ruby1.9 on windows?

it’s looking for msvcrt-ruby18.dll…


#3

On Tue, Mar 24, 2009 at 05:54:50PM +0900, Pe?a, Botp wrote:

From: Jeremy H. [mailto:removed_email_address@domain.invalid]

amalgalite version 0.8.0 has been released.

will this run on ruby1.9 on windows?

it’s looking for msvcrt-ruby18.dll…

I have a few changes to make in the extension to make it 1.9 compatible.
So
stay tuned, probably in the next few weeks.

enjoy,

-jeremy


#4

From: Jeremy H. [mailto:removed_email_address@domain.invalid]

I have a few changes to make in the extension to make it 1.9

compatible. So stay tuned, probably in the next few weeks.

can’t wait :slight_smile:
thanks very much, jeremy.
best regards -botp